org.richfaces.renderkit

## Class FileUploadRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.FileUploadRendererBase

- Direct Known Subclasses:
    FileUploadRenderer

      public class FileUploadRendererBase
      extends RendererBase

  Author:
    Konstantin Mishin, Nick Belaevski, Lukas Fryc, Simone Cinti, Michal Petrov

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `static long` | `getMaxRequestSize()`
    `static long` | `getMaxRequestSize(javax.servlet.ServletContext servletContext)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadRendererBase

          public FileUploadRendererBase()

  - ### Method Detail

    - #### getMaxRequestSize

          public static long getMaxRequestSize(javax.servlet.ServletContext servletContext)

    - #### getMaxRequestSize

          public static long getMaxRequestSize()

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `RendererBase`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.